Generate test configuration from specifications
curl --request POST \
--url https://api.galtea.ai/tests/generate-config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"specificationIds": [
"spec_123",
"spec_456"
],
"automaticCreation": false
}
'import requests
url = "https://api.galtea.ai/tests/generate-config"
payload = {
"specificationIds": ["spec_123", "spec_456"],
"automaticCreation": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({specificationIds: ['spec_123', 'spec_456'], automaticCreation: false})
};
fetch('https://api.galtea.ai/tests/generate-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}[
{
"id": "test_123",
"productId": "prod_123",
"userId": "user_123",
"name": "Quality Test",
"type": "QUALITY",
"groundTruthUri": "s3://my-bucket/tests/test_123/ground-truth.csv",
"uri": "s3://my-bucket/tests/test_123/test.csv",
"error": "<string>",
"status": "SUCCESS",
"fewShot": "Example few-shot learning data",
"languageCode": "es-MX",
"backgroundNoiseProfile": "street",
"backgroundNoiseLevel": "medium",
"variants": [
"rag",
"summarization"
],
"customVariantDescription": "Custom variant description",
"strategies": [
"original"
],
"customUserPersona": "Business analyst",
"maxTestCases": 100,
"models": [
"gpt-4",
"claude-3"
],
"sourceTestId": "<string>",
"dataCatalogUri": "s3://my-bucket/tests/test_123/data-catalog.json",
"metadata": {
"key": "value"
},
"specificationId": "spec_123",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
}
]{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}Generate test configuration from specifications
Derives test type, variant, and name from specifications (rule-based). Optionally creates tests automatically. See Tests.
POST
/
tests
/
generate-config
Generate test configuration from specifications
Authorizations
API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....
Body
application/json
Response
Test configuration generated successfully
Generated test configuration suggestion
⌘I